<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonPllConVoltRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonPllConVoltRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing the measured PLL control voltage values during explicit monitoring chirps. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_PLL_CONTROL_VOLT_REPORT.  
 <a href="structrl_mon_pll_con_volt_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a65fd4401b5e938ddb1ca90ba6b17e2a2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65fd4401b5e938ddb1ca90ba6b17e2a2"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_pll_con_volt_rep__t.html#a65fd4401b5e938ddb1ca90ba6b17e2a2">statusFlags</a></td></tr>
<tr class="memdesc:a65fd4401b5e938ddb1ca90ba6b17e2a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding to various threshold <br />
 checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 0 STATUS_APLL_VCTRL <br />
 1 STATUS_SYNTH_VCO1_VCTRL_MAX_ FREQ <br />
 2 STATUS_SYNTH_VCO1_VCTRL_MIN_ FREQ <br />
 3 STATUS_SYNTH_VCO1_SLOPE <br />
 4 STATUS_SYNTH_VCO2_VCTRL_MAX_ FREQ <br />
 5 STATUS_SYNTH_VCO2_VCTRL_MIN_ FREQ <br />
 6 STATUS_SYNTH_VCO2_SLOPE <br />
 15:7 RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a65fd4401b5e938ddb1ca90ba6b17e2a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa865dbb00499419b7a02a6ec67c3cdd5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa865dbb00499419b7a02a6ec67c3cdd5"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_pll_con_volt_rep__t.html#aa865dbb00499419b7a02a6ec67c3cdd5">errorCode</a></td></tr>
<tr class="memdesc:aa865dbb00499419b7a02a6ec67c3cdd5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:aa865dbb00499419b7a02a6ec67c3cdd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d9c15b4024ec1b87ca791ed374cf212"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d9c15b4024ec1b87ca791ed374cf212"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_pll_con_volt_rep__t.html#a5d9c15b4024ec1b87ca791ed374cf212">pllContVoltVal</a> [8U]</td></tr>
<tr class="memdesc:a5d9c15b4024ec1b87ca791ed374cf212"><td class="mdescLeft">&#160;</td><td class="mdescRight">The measured values of PLL control voltage levels and Synthesizer VCO slopes are <br />
 reported here. Byte numbers corresponding to different control voltage <br />
 values reported in this field are here: <br />
 Bytes SIGNAL 1 LSB <br />
 1:0 APLL_VCTRL 1mV <br />
 3:2 SYNTH_VCO1_VCTRL_MAX_ FREQ 1mV <br />
 5:4 SYNTH_VCO1_VCTRL_MIN_ FREQ 1mV <br />
 7:6 SYNTH_VCO1_SLOPE 1MHz/V <br />
 9:8 SYNTH_VCO2_VCTRL_MAX_ FREQ 1mV <br />
 11:10 SYNTH_VCO2_VCTRL_MIN_ FREQ 1mV <br />
 13:12 SYNTH_VCO2_SLOPE 1MHz/V <br />
 Others RESERVED RESERVED <br />
 Only the fields corresponding to the enabled monitors are valid. <br />
 The failure thresholds are based on the following: <br />
 Valid VCTRL values are [150 to 1250] mV. <br />
 Valid VCO1_SLOPE values are [440 to 660] MHz/V. <br />
 Valid VCO2_SLOPE values are [880 to 1320] MHz/V. <br />
. <br /></td></tr>
<tr class="separator:a5d9c15b4024ec1b87ca791ed374cf212"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d4c6c55ad6a0f591a2627cea979c279"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d4c6c55ad6a0f591a2627cea979c279"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_pll_con_volt_rep__t.html#a4d4c6c55ad6a0f591a2627cea979c279">reserved0</a></td></tr>
<tr class="memdesc:a4d4c6c55ad6a0f591a2627cea979c279"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a4d4c6c55ad6a0f591a2627cea979c279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3556de11055e2711581f670d52d97543"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3556de11055e2711581f670d52d97543"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_pll_con_volt_rep__t.html#a3556de11055e2711581f670d52d97543">timeStamp</a></td></tr>
<tr class="memdesc:a3556de11055e2711581f670d52d97543"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon exceeding allotted bit <br />
 width) <br /></td></tr>
<tr class="separator:a3556de11055e2711581f670d52d97543"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing the measured PLL control voltage values during explicit monitoring chirps. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_PLL_CONTROL_VOLT_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
